Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 273845 - net-analyzer/nepenthes: fails to build with gcc-4.4
Summary: net-analyzer/nepenthes: fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-06-12 10:36 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-08-07 15:52 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (nepenthes-0.2.2:20090612-093824.log,24.30 KB, text/plain)
2009-06-12 10:37 UTC, Diego Elio Pettenò (RETIRED)
Details
Patch allowing net-analyzer/nepenthes to build against gcc 4.4 (nepenthes-0.2.2-gcc44.patch,13.28 KB, patch)
2009-06-13 18:09 UTC, Víctor Ostorga (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-12 10:36:53 UTC
As per summary, check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-12 10:37:28 UTC
Created attachment 194385 [details]
Build log
Comment 2 Víctor Ostorga (RETIRED) gentoo-dev 2009-06-13 18:09:52 UTC
Created attachment 194581 [details, diff]
Patch allowing net-analyzer/nepenthes to build against gcc 4.4
Comment 3 Mark Loeser (RETIRED) gentoo-dev 2009-07-25 02:18:39 UTC
Fixed, thanks.
Comment 4 Anton Bolshakov 2009-08-04 02:38:29 UTC
It stopped compiling with currently stable gcc 4.3.2 now, please reopen the bug.

here are details:

emerge nepenthes
Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) net-analyzer/nepenthes-0.2.2
 * nepenthes-0.2.2.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                             [ ok ]
 * checking ebuild checksums ;-) ...                                                                   [ ok ]
 * checking auxfile checksums ;-) ...                                                                  [ ok ]
 * checking miscfile checksums ;-) ...                                                                 [ ok ]
>>> Unpacking source...
>>> Unpacking nepenthes-0.2.2.tar.bz2 to /var/tmp/portage/net-analyzer/nepenthes-0.2.2/work
>>> Source unpacked in /var/tmp/portage/net-analyzer/nepenthes-0.2.2/work
>>> Preparing source in /var/tmp/portage/net-analyzer/nepenthes-0.2.2/work/nepenthes-0.2.2 ...
 * Applying nepenthes-0.2.2-gcc4.patch ...                                                              [ ok ]
 * Applying nepenthes-0.2.2-gcc44.patch ...

 * Failed Patch: nepenthes-0.2.2-gcc44.patch !
 *  ( /usr/portage/net-analyzer/nepenthes/files/nepenthes-0.2.2-gcc44.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/net-analyzer/nepenthes-0.2.2/temp/nepenthes-0.2.2-gcc44.patch-31895.out

 *
 * ERROR: net-analyzer/nepenthes-0.2.2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_prepare
 *             environment, line 2663:  Called epatch '/usr/portage/net-analyzer/nepenthes/files/nepenthes-0.2.2-gcc44.patch'
 *             environment, line 1617:  Called die
 * The specific snippet of code:
 *                   die "Failed Patch: ${patchname}!";
 *  The die message:
 *   Failed Patch: nepenthes-0.2.2-gcc44.patch!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-analyzer/nepenthes-0.2.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-analyzer/nepenthes-0.2.2/temp/environment'.
 *

>>> Failed to emerge net-analyzer/nepenthes-0.2.2, Log file:

>>>  '/var/tmp/portage/net-analyzer/nepenthes-0.2.2/temp/build.log'

 * Messages for package net-analyzer/nepenthes-0.2.2:

 * Failed Patch: nepenthes-0.2.2-gcc44.patch !
 *  ( /usr/portage/net-analyzer/nepenthes/files/nepenthes-0.2.2-gcc44.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/net-analyzer/nepenthes-0.2.2/temp/nepenthes-0.2.2-gcc44.patch-31895.out
 *
 * ERROR: net-analyzer/nepenthes-0.2.2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_prepare
 *             environment, line 2663:  Called epatch '/usr/portage/net-analyzer/nepenthes/files/nepenthes-0.2.2-gcc44.patch'
 *             environment, line 1617:  Called die
 * The specific snippet of code:
 *                   die "Failed Patch: ${patchname}!";
 *  The die message:
 *   Failed Patch: nepenthes-0.2.2-gcc44.patch!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-analyzer/nepenthes-0.2.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-analyzer/nepenthes-0.2.2/temp/environment'.
 *
myguest nepenthes # gcc --version
gcc (Gentoo 4.3.2-r3 p1.6, pie-10.1.5) 4.3.2
Copyright (C) 2008 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


emerge --info
Portage 2.1.6.13 (default/linux/x86/2008.0, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.22-vs2.2.0.7-gentoo i686)
=================================================================
System uname: Linux-2.6.22-vs2.2.0.7-gentoo-i686-Intel-R-_Pentium-R-_4_CPU_2.40GHz-with-glibc2.0
Timestamp of tree: Tue, 04 Aug 2009 01:00:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.4-r3
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe -msse2 -mfpmath=sse -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium4 -pipe -msse2 -mfpmath=sse -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
LDFLAGS="-Wl,-O1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl berkdb bzip2 cli cracklib crypt cups dri fortran gdbm iconv ipv6 isdnlog logrotate mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 5 Víctor Ostorga (RETIRED) gentoo-dev 2009-08-04 03:14:34 UTC
 * Include in your bugreport the contents of:
 *
 *  
/var/tmp/portage/net-analyzer/nepenthes-0.2.2/temp/nepenthes-0.2.2-gcc44.patch-31895.out
Comment 6 Samuli Suominen gentoo-dev 2009-08-07 13:52:22 UTC
(In reply to comment #5)
>  * Include in your bugreport the contents of:
>  *
>  *  
> /var/tmp/portage/net-analyzer/nepenthes-0.2.2/temp/nepenthes-0.2.2-gcc44.patch-31895.out
> 

It's because CVS commit broke the patch. See,

--- nepenthes-0.2.2.orig/modules/download-http/HTTPDialogue.cpp	2009-06-13 15:32:10.000000000 -0600
+++ nepenthes-0.2.2/modules/download-http/HTTPDialogue.cpp	2009-06-13 15:44:52.000000000 -0600
@@ -27,10 +27,11 @@
 
  /* $Id: nepenthes-0.2.2-gcc44.patch,v 1.1 2009/07/25 02:18:43 halcy0n Exp $ */

                                                                ^^^^^^^ here
Comment 7 Samuli Suominen gentoo-dev 2009-08-07 14:02:37 UTC
+  07 Aug 2009; Samuli Suominen <ssuominen@gentoo.org>
+  nepenthes-0.2.2.ebuild, -files/nepenthes-0.2.2-gcc44.patch:
+  Move patch to mirrors because CVS commit breaks it wrt #273845.
Comment 8 Anton Bolshakov 2009-08-07 15:52:25 UTC
That sounds more like a workaround to me.
Don't we need to fix CVS instead or its limitation?
Just curious. Thanks